# Uses of Class
javafx.scene.control.FocusModel

Packages that use FocusModel
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of FocusModel in javafx.scene.control

Subclasses of FocusModel in javafx.scene.control
Modifier and Type
Class
Description
`class`
`TableFocusModel<T,TC extends TableColumnBase<T,?>>`
The abstract base class for FocusModel implementations that are used within table-like controls (most notably `TableView` and `TreeTableView`.
`static class`
`TableView.TableViewFocusModel<S>`
A `FocusModel` with additional functionality to support the requirements of a TableView control.
`static class`
`TreeTableView.TreeTableViewFocusModel<S>`
A `FocusModel` with additional functionality to support the requirements of a TableView control.
Methods in javafx.scene.control that return FocusModel
Modifier and Type
Method
Description
`final FocusModel<T>`
ListView.`getFocusModel()`
Returns the currently installed `FocusModel`.
`final FocusModel<TreeItem<T>>`
TreeView.`getFocusModel()`
Returns the currently installed `FocusModel`.
Methods in javafx.scene.control that return types with arguments of type FocusModel
Modifier and Type
Method
Description
`final ObjectProperty<FocusModel<T>>`
ListView.`focusModelProperty()`
The FocusModel provides the API through which it is possible to both get and set the focus on a single item within a ListView.
`final ObjectProperty<FocusModel<TreeItem<T>>>`
TreeView.`focusModelProperty()`
The FocusModel provides the API through which it is possible to control focus on zero or one rows of the TreeView.
Methods in javafx.scene.control with parameters of type FocusModel
Modifier and Type
Method
Description
`final void`
ListView.`setFocusModel(FocusModel<T> value)`
Sets the `FocusModel` to be used in the ListView.
`final void`
TreeView.`setFocusModel(FocusModel<TreeItem<T>> value)`
Sets the `FocusModel` to be used in the TreeView.